LibreOffice: XBinaryStreamResolver Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XBinaryStreamResolver Interface Referencepublished

`import "XBinaryStreamResolver.idl";`

Inheritance diagram for XBinaryStreamResolver:

## Public Member Functions
com::sun::star::io::XInputStream | getInputStream ([in] string aURL)
| converts the given URL from the source URL namespace to an input stream, from which binary data can be read
com::sun::star::io::XOutputStream | createOutputStream ()
| creates an output stream, to which binary data can be written.
string | resolveOutputStream ([in] com::sun::star::io::XOutputStream aBinaryStream)
| converts the output stream, data has been written to, to a URL in source URL namespace.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This interface encapsulates functionality to get/resolve binary data streams. It is used to transform binary data to a URL or to transform a URL to binary data. The binary data is represented through input and output streams.

In the case of transforming a URL to binary data, the `getInputStream` method is used. This returns a com::sun::star::io::XInputStream from which the binary data, transformed from the given URL, can be read.

In the case of transforming binary data to a URL, a com::sun::star::io::XOutputStream is created first to write the binary data to. After this, the `resolveOutputStream` method can be used to transform the binary data, represented through the com::sun::star::io::XOutputStream interface, to a URL.

## Member Function Documentation

## ◆ createOutputStream()

com::sun::star::io::XOutputStream createOutputStream | ( |  | ) |

creates an output stream, to which binary data can be written.

After writing, a URL can be retrieved by a call to XBinaryStreamResolver::resolveOutputStream().

## ◆ getInputStream()

com::sun::star::io::XInputStream getInputStream | ( | [in] string | aURL | ) |

converts the given URL from the source URL namespace to an input stream, from which binary data can be read

## ◆ resolveOutputStream()

string resolveOutputStream | ( | [in] com::sun::star::io::XOutputStream | aBinaryStream | ) |

converts the output stream, data has been written to, to a URL in source URL namespace.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XBinaryStreamResolver.idl